diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py
index fb17fd805..444de09c7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_add.py
@@ -9,6 +9,7 @@
 
 import json
 import uuid
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
@@ -23,159 +24,38 @@ from . import utils as tables_utils
 
 class TableAddTestCase(BaseTestGenerator):
     """ This class will add new collation under schema node. """
-    scenarios = [
-        # Fetching default URL for table node.
-        ('Create Table', dict(url='/browser/table/obj/')),
-        ('Create Range partitioned table with 2 partitions',
-         dict(url='/browser/table/obj/',
-              server_min_version=100000,
-              partition_type='range',
-              skip_msg='Partitioned table are not supported by '
-                       'PPAS/PG 10.0 and below.'
-              )
-         ),
-        ('Create Range partitioned table with 1 default and 2'
-         ' value based partition',
-         dict(url='/browser/table/obj/',
-              server_min_version=110000,
-              partition_type='range',
-              is_default=True,
-              skip_msg='Partitioned table are not supported by '
-                       'PPAS/PG 10.0 and below.'
-              )
-         ),
-        ('Create Multilevel Range partitioned table with subpartition table',
-         dict(url='/browser/table/obj/',
-              server_min_version=100000,
-              partition_type='range',
-              multilevel_partition=True,
-              skip_msg='Partitioned table are not supported by '
-                       'PPAS/PG 10.0 and below.'
-              )
-         ),
-        ('Create List partitioned table with 2 partitions',
-         dict(url='/browser/table/obj/',
-              server_min_version=100000,
-              partition_type='list',
-              skip_msg='Partitioned table are not supported by '
-                       'PPAS/PG 10.0 and below.'
-              )
-         ),
-        ('Create Multilevel List partitioned table with subpartition table',
-         dict(url='/browser/table/obj/',
-              server_min_version=100000,
-              partition_type='list',
-              multilevel_partition=True,
-              skip_msg='Partitioned table are not supported by '
-                       'PPAS/PG 10.0 and below.'
-              )
-         ),
-        ('Create Hash partitioned table with 2 partitions',
-         dict(url='/browser/table/obj/',
-              server_min_version=110000,
-              partition_type='hash',
-              skip_msg='Hash Partition are not supported by '
-                       'PPAS/PG 11.0 and below.'
-              )
-         ),
-        ('Create Table with Identity columns',
-         dict(url='/browser/table/obj/',
-              server_min_version=100000,
-              skip_msg='Identity columns are not supported by '
-                       'PPAS/PG 10.0 and below.',
-              columns=[{
-                  'name': 'iden_always',
-                  'cltype': 'bigint',
-                  'attacl': [],
-                  'is_primary_key': False,
-                  'attnotnull': True,
-                  'attlen': None,
-                  'attprecision': None,
-                  'attoptions': [],
-                  'seclabels': [],
-                  'colconstype': 'i',
-                  'attidentity': 'a',
-                  'seqincrement': 1,
-                  'seqstart': 1,
-                  'seqmin': 1,
-                  'seqmax': 10,
-                  'seqcache': 1,
-                  'seqcycle': True
-              }, {
-                  'name': 'iden_default',
-                  'cltype': 'bigint',
-                  'attacl': [],
-                  'is_primary_key': False,
-                  'attnotnull': True,
-                  'attlen': None,
-                  'attprecision': None,
-                  'attoptions': [],
-                  'seclabels': [],
-                  'colconstype': 'i',
-                  'attidentity': 'd',
-                  'seqincrement': 2,
-                  'seqstart': 2,
-                  'seqmin': 2,
-                  'seqmax': 2000,
-                  'seqcache': 1,
-                  'seqcycle': True
-              }])
-         ),
-        ('Create Table with Generated columns',
-         dict(url='/browser/table/obj/',
-              server_min_version=120000,
-              skip_msg='Generated columns are not supported by '
-                       'PPAS/PG 12.0 and below.',
-              columns=[{
-                  'name': 'm1',
-                  'cltype': 'bigint',
-                  'attacl': [],
-                  'is_primary_key': False,
-                  'attoptions': [],
-                  'seclabels': []
-              }, {
-                  'name': 'm2',
-                  'cltype': 'bigint',
-                  'attacl': [],
-                  'is_primary_key': False,
-                  'attoptions': [],
-                  'seclabels': []
-              }, {
-                  'name': 'genrated',
-                  'cltype': 'bigint',
-                  'attacl': [],
-                  'is_primary_key': False,
-                  'attnotnull': True,
-                  'attlen': None,
-                  'attprecision': None,
-                  'attoptions': [],
-                  'seclabels': [],
-                  'colconstype': 'g',
-                  'genexpr': 'm1*m2'
-              }])
-         )
-
-    ]
+    url = '/browser/table/obj/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("table_create",
+                                         tables_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Check server version
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
 
-        if hasattr(self, 'server_min_version'):
+        if "server_min_version" in self.inventory_data:
             server_con = server_utils.connect_server(self, self.server_id)
             if not server_con["info"] == "Server connected.":
                 raise Exception("Could not connect to server to add "
                                 "partitioned table.")
-            if server_con["data"]["version"] < self.server_min_version:
-                self.skipTest(self.skip_msg)
+            if server_con["data"]["version"] < \
+                    self.inventory_data["server_min_version"]:
+                self.skipTest(self.inventory_data["skip_msg"])
 
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
-
         self.db_id = schema_info["db_id"]
         db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
                                                  self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -186,15 +66,20 @@ class TableAddTestCase(BaseTestGenerator):
 
     def runTest(self):
         """ This function will add table under schema node. """
+        if "table_name" in self.data:
+            self.table_name = self.data["table_name"]
+        else:
+            self.table_name = "test_table_add_%s" % (str(uuid.uuid4())[1:8])
+
         db_user = self.server["username"]
-        self.table_name = "test_table_add_%s" % (str(uuid.uuid4())[1:8])
+
         # Get the common data
-        data = tables_utils.get_table_common_data()
+        self.data.update(tables_utils.get_table_common_data())
         if self.server_information and \
             'server_version' in self.server_information and \
                 self.server_information['server_version'] >= 120000:
-            data['spcname'] = None
-        data.update({
+            self.data['spcname'] = None
+        self.data.update({
             "name": self.table_name,
             "relowner": db_user,
             "schema": self.schema_name,
@@ -217,37 +102,26 @@ class TableAddTestCase(BaseTestGenerator):
             }]
         })
 
-        # If column is provided in the scenario then use those columns
-        if hasattr(self, 'columns'):
-            data['columns'] = self.columns
-
-        if hasattr(self, 'partition_type'):
-            data['partition_type'] = self.partition_type
-            data['is_partitioned'] = True
-            if self.partition_type == 'range':
-                if hasattr(self, 'is_default'):
-                    tables_utils.get_range_partitions_data(data, 'Default')
-                elif hasattr(self, 'multilevel_partition'):
-                    tables_utils.get_range_partitions_data(
-                        data, None, True)
-                else:
-                    tables_utils.get_range_partitions_data(data)
-            elif self.partition_type == 'list':
-                if hasattr(self, 'multilevel_partition'):
-                    tables_utils.get_list_partitions_data(data, True)
-                else:
-                    tables_utils.get_list_partitions_data(data)
+        # Add table
+        if self.is_positive_test:
+            response = tables_utils.api_create(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(self.mock_data["return_value"])):
+                    response = tables_utils.api_create(self)
             else:
-                tables_utils.get_hash_partitions_data(data)
+                if self.table_name == "":
+                    del self.data["name"]
+                response = tables_utils.api_create(self)
 
-        # Add table
-        response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(self.schema_id) + '/',
-            data=json.dumps(data),
-            content_type='html/json')
-        self.assertEqual(response.status_code, 200)
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py
index 62471253c..878600fc7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_delete.py
@@ -8,6 +8,7 @@
 ##########################################################################
 
 import uuid
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
@@ -21,12 +22,17 @@ from . import utils as tables_utils
 
 class TableDeleteTestCase(BaseTestGenerator):
     """This class will delete new table under schema node."""
-    scenarios = [
-        # Fetching default URL for table node.
-        ('Delete Table', dict(url='/browser/table/obj/'))
-    ]
+    url = '/browser/table/obj/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("table_delete",
+                                         tables_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
@@ -35,6 +41,8 @@ class TableDeleteTestCase(BaseTestGenerator):
                                                  self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -42,24 +50,53 @@ class TableDeleteTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
+
+        # Create table
         self.table_name = "test_table_delete_%s" % (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
 
-    def runTest(self):
-        """This function will delete added table under schema node."""
+        # Create table
+        if self.is_list:
+            self.table_name_1 = \
+                "test_table_delete_%s" % (str(uuid.uuid4())[1:8])
+            self.table_id_1 = tables_utils.create_table(self.server,
+                                                        self.db_name,
+                                                        self.schema_name,
+                                                        self.table_name_1
+                                                        )
+
+        # Verify table creation
         table_response = tables_utils.verify_table(self.server, self.db_name,
                                                    self.table_id)
         if not table_response:
             raise Exception("Could not find the table to delete.")
-        response = self.tester.delete(self.url + str(utils.SERVER_GROUP) +
-                                      '/' + str(self.server_id) + '/' +
-                                      str(self.db_id) + '/' +
-                                      str(self.schema_id) + '/' +
-                                      str(self.table_id),
-                                      follow_redirects=True)
-        self.assertEqual(response.status_code, 200)
+
+    def runTest(self):
+        """This function will delete added table under schema node."""
+        if self.is_positive_test:
+            if self.is_list:
+                self.data["ids"] = [self.table_id, self.table_id_1]
+                response = tables_utils.api_delete(self, "")
+            else:
+                response = tables_utils.api_delete(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(self.mock_data["return_value"])):
+                    response = tables_utils.api_delete(self)
+            else:
+                if 'table_id' in self.data:
+                    self.table_id = self.data['table_id']
+                response = tables_utils.api_delete(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_dependencies_dependents.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_dependencies_dependents.py
new file mode 100644
index 000000000..64096ff17
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_dependencies_dependents.py
@@ -0,0 +1,75 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as tables_utils
+
+
+class TableGetDependenciesDependentsTestCase(BaseTestGenerator):
+    """This class will add new collation under schema node."""
+    url = '/browser/table/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("table_dependencies_dependents",
+                                         tables_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add a table.")
+
+        # Create table
+        self.table_name = "test_table_get_%s" % (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server, self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+    def runTest(self):
+        """This function will delete added table under schema node."""
+        if self.is_positive_test:
+            if self.is_dependent:
+                self.url = self.url + 'dependent/'
+                response = tables_utils.api_get(self)
+            else:
+                self.url = self.url + 'dependency/'
+                response = tables_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py
index b6506cee6..ab1703a59 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get.py
@@ -8,6 +8,7 @@
 ##########################################################################
 
 import uuid
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
@@ -21,12 +22,17 @@ from . import utils as tables_utils
 
 class TableGetTestCase(BaseTestGenerator):
     """This class will add new collation under schema node."""
-    scenarios = [
-        # Fetching default URL for table node.
-        ('Fetch table Node URL', dict(url='/browser/table/obj/'))
-    ]
+    url = '/browser/table/obj/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("table_get",
+                                         tables_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
@@ -35,6 +41,8 @@ class TableGetTestCase(BaseTestGenerator):
                                                  self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -42,20 +50,49 @@ class TableGetTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
+
+        # Create table
         self.table_name = "test_table_get_%s" % (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
 
+        # Create table
+        if self.is_list:
+            self.table_name_1 = \
+                "test_table_delete_%s" % (str(uuid.uuid4())[1:8])
+            self.table_id_1 = tables_utils.create_table(self.server,
+                                                        self.db_name,
+                                                        self.schema_name,
+                                                        self.table_name_1
+                                                        )
+
     def runTest(self):
         """This function will delete added table under schema node."""
-        response = self.tester.get(self.url + str(utils.SERVER_GROUP) +
-                                   '/' + str(self.server_id) + '/' +
-                                   str(self.db_id) + '/' +
-                                   str(self.schema_id) + '/' +
-                                   str(self.table_id),
-                                   follow_redirects=True)
-        self.assertEqual(response.status_code, 200)
+        if self.is_positive_test:
+            if self.is_list:
+                response = tables_utils.api_get(self, "")
+            else:
+                response = tables_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(self.mock_data["return_value"])):
+                    if self.is_list:
+                        response = tables_utils.api_get(self, "")
+                    else:
+                        response = tables_utils.api_get(self)
+            else:
+                if 'table_id' in self.data:
+                    self.table_id = self.data['table_id']
+                response = tables_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get_existing_table_actions.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get_existing_table_actions.py
new file mode 100644
index 000000000..6f3a66d97
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_table_get_existing_table_actions.py
@@ -0,0 +1,98 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils import server_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as tables_utils
+
+
+class TableGetTestCase(BaseTestGenerator):
+    """This class will add new collation under schema node."""
+    url = '/browser/table/'
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios(
+        "test_table_get_existing_table_actions", tables_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Update url
+        self.url = self.url + self.add_to_url
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+
+        # Check Server version
+        if "server_min_version" in self.inventory_data:
+            server_con = server_utils.connect_server(self, self.server_id)
+            if not server_con["info"] == "Server connected.":
+                raise Exception("Could not connect to server to add "
+                                "partitioned table.")
+            if server_con["data"]["version"] < \
+                    self.inventory_data["server_min_version"]:
+                self.skipTest(self.inventory_data["skip_msg"])
+
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add a table.")
+
+        # Create table
+        self.table_name = "test_table_get_%s" % (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server, self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+    def runTest(self):
+        """This function will delete added table under schema node."""
+        if self.is_positive_test:
+            response = tables_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=eval(self.mock_data["return_value"])):
+                    response = tables_utils.api_get(self)
+            else:
+                if 'table_id' in self.data:
+                    self.table_id = self.data['table_id']
+                response = tables_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
